/*
 * Copyright (c) 2004-2009, Jean-Marc François. All Rights Reserved.
 * Licensed under the New BSD license.  See the LICENSE file.
 */

package be.ac.ulg.montefiore.run.jahmm;

import java.text.*;


/**
 * Observations generated by a Markovian process.  Observations are
 * not mutable.
 */
public abstract class Observation
{
    /**
     * Formats this observation using a number formatter.
     *
     * @param numberFormat A number formatter.
     * @return A string describing this observation.
     */
    public abstract String toString(NumberFormat numberFormat);
    
    
	/**
	 * Converts this Observation to a {@link java.lang.String String}.
	 *
	 * @return A descriptive string.
	 */
	public String toString()
	{
		return toString(NumberFormat.getInstance());
	}
}

